package com.minsait.onesait.platform.plugin.utils;

import java.util.Map;

import org.springframework.security.oauth2.common.DefaultOAuth2AccessToken;
import org.springframework.security.oauth2.common.OAuth2AccessToken;
import org.springframework.security.oauth2.provider.OAuth2Authentication;
import org.springframework.security.oauth2.provider.token.TokenEnhancer;

public class PluginTokenEnhancer implements TokenEnhancer {

	@Override
	public OAuth2AccessToken enhance(OAuth2AccessToken accessToken, OAuth2Authentication authentication) {
		final Map<String, Object> ai = accessToken.getAdditionalInformation();
		ai.put("plugin-version", "1.0");
		((DefaultOAuth2AccessToken) accessToken).setAdditionalInformation(ai);
		return accessToken;
	}

}
